# $Revision: 1.2 $, $Date: 2002/09/08 11:03:49 $
#
# Conditional build:
# _without_tests - do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Crypt
%define		pnam	OTP
Summary:	Crypt::OTP Perl module - OTP encryption method implementation
Summary(pl):	Modu Perla Crypt::OTP - implementacja kodowania metod OTP
Name:		perl-Crypt-OTP
Version:	2.00
Release:	1
License:	GPL/Artistic
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	rpm-perlprov >= 3.0.3-16
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The One Time Pad encryption method is very simple, and impossible to
crack without the actual pad file against which the to-be-encrypted
message is XOR'ed. Encryption and decryption are performed using
exactly the same method, and the message will decrypt correctly only
if the same pad is used in decryption as was use in encryption.

%description -l pl
Metoda kodowania OTP (One Time Pad - jednorazowa tablica) jest bardzo
prosta i niemoliwa do zamania bez znajomoci waciwego pliku
tablicy, z ktr wiadomo jest xorowana. Kodowanie i dekodowanie
odbywa si dokadnie t sam metod, a wiadomo moe by odkowowana
poprawnie tylko przy uyciu tej samej tablicy, ktra bya uywana do
kodowania.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
perl Makefile.PL
%{__make}

%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_sitelib}/Crypt/OTP.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Crypt-OTP.spec,v $
Revision 1.2  2002/09/08 11:03:49  radek
- version 2.00
- tests made conditional
STBR

Revision 1.1  2002/07/30 22:07:54  qboosh
- new

